package de.ix.axis2;

import java.util.List;

import org.apache.axiom.om.OMAbstractFactory;
import org.apache.axiom.om.OMElement;
import org.apache.axiom.om.OMFactory;
import org.apache.axiom.om.OMNamespace;

public class BlzAxiomService {
	
	public OMElement searchBlz (OMElement elQuery) {
		
		String queryString = elQuery.getFirstElement().getText();
		BankleitzahlCore bankleitzahlCore = new BankleitzahlCore();
		List<Bankleitzahl> blzListe = bankleitzahlCore.searchBlz(queryString);
		
		OMFactory factory = OMAbstractFactory.getOMFactory();
		OMNamespace ns = factory.createOMNamespace("http://ix.de", "ix");
		OMElement elQueryResult = factory.createOMElement("BlzQueryResult", ns);
			
		elQueryResult.addAttribute(factory.createOMAttribute("Gefunden", ns, ""+blzListe.size()));
		
		for (Bankleitzahl blz : blzListe) {
			
			OMElement elBank = factory.createOMElement("Bank", ns, elQueryResult);
			
			OMElement elBlz = factory.createOMElement("BLZ", ns, elBank);
			elBlz.addChild(factory.createOMText(blz.getBlz()));
			
			OMElement elBezeichnung = factory.createOMElement("Bezeichnung", ns, elBank);
			elBezeichnung.addChild(factory.createOMText(blz.getBezeichnung()));
			
			OMElement elKurzbezeichnung = factory.createOMElement("Kurzbezeichnung", ns, elBank);
			elKurzbezeichnung.addChild(factory.createOMText(blz.getKurzBezeichnung()));
			
			OMElement elPlz = factory.createOMElement("PLZ", ns, elBank);
			elPlz.addChild(factory.createOMText(blz.getPlz()));
			
			OMElement elOrt = factory.createOMElement("Ort", ns, elBank);
			elOrt.addChild(factory.createOMText(blz.getOrt()));
			
		}
		
		return elQueryResult;
		
	}
	

}
