package de.ix.axis2.clients;

import org.apache.axiom.om.OMAbstractFactory;
import org.apache.axiom.om.OMElement;
import org.apache.axiom.om.OMFactory;
import org.apache.axiom.om.OMNamespace;
import org.apache.axis2.Constants;
import org.apache.axis2.addressing.EndpointReference;
import org.apache.axis2.client.Options;
import org.apache.axis2.client.ServiceClient;

public class AxiomClient {
	
	private static EndpointReference targetEPR = new EndpointReference("http://localhost:8080/axis2/services/BlzAxiomService");

	public static void main(String[] args) {
	
		try {
			OMElement elQuery = AxiomClient.createQuery("Berchtesgaden");
	
			Options options = new Options();
			options.setTo(targetEPR);
			options.setTransportInProtocol(Constants.TRANSPORT_HTTP);
			options.setAction("urn:searchBlz");
	
			ServiceClient sender = new ServiceClient();
			sender.setOptions(options);
			OMElement result = sender.sendReceive(elQuery);

			System.out.println(result);
	
		} catch (Exception e) { //(XMLStreamException e) {
			System.out.println(e.toString());
		}
	}

	public static OMElement createQuery(String queryString) {
		OMFactory factory = OMAbstractFactory.getOMFactory();
		OMNamespace ns = factory.createOMNamespace("http://ix.de", "ix");
		OMElement elQuery = factory.createOMElement("BlzQuery", ns);
		OMElement searchString = factory.createOMElement("searchString", ns, elQuery);
		searchString.addChild(factory.createOMText(queryString));
		return elQuery;
	}



}
