package de.ix.axis2.clients;

import javax.xml.namespace.QName;
import org.apache.axis2.AxisFault;
import org.apache.axis2.addressing.EndpointReference;
import org.apache.axis2.client.Options;
import org.apache.axis2.rpc.client.RPCServiceClient;

import de.ix.axis2.Bankleitzahl;


public class PojoClient {
	
	private static EndpointReference targetEPR = new EndpointReference("http://localhost:8080/axis2/services/BlzPojoService");

	public static void main(String[] args) throws AxisFault {
		
		RPCServiceClient sender = new RPCServiceClient();
		Options options = sender.getOptions();
		options.setTo(targetEPR);
		
		QName opSearchBlz = new QName("http://axis2.ix.de/xsd", "searchBlz");
		
		String query = "Berchtesgaden";
		Object[] opArgs = new Object[] { query };
		Class[] returnTypes = new Class[] { Bankleitzahl[].class };
		
		Object[] response = sender.invokeBlocking(opSearchBlz, opArgs, returnTypes);
		
		Bankleitzahl[] blzResult = (Bankleitzahl[]) response[0];
		
		for (Bankleitzahl bankleitzahl : blzResult) {
			System.out.println(bankleitzahl.toString());
		}
		System.out.println("Gefunden: " + blzResult.length);
		
	}
	
}
