package de.ix.axis2;

import java.io.BufferedReader;
import java.io.FileInputStream;
import java.io.IOException;
import java.io.InputStreamReader;
import java.util.ArrayList;
import java.util.List;
import java.util.regex.Matcher;
import java.util.regex.Pattern;

public class BankleitzahlCore {

	public List<Bankleitzahl> searchBlz(String queryString) {
		
		Pattern pattern = Pattern.compile(queryString);
		BufferedReader bufferedReader;
		String line;
		List<Bankleitzahl> list = new ArrayList<Bankleitzahl>();
		
		try {
			bufferedReader = new BufferedReader(new InputStreamReader(new FileInputStream("c:\\blz.txt"),"Cp1252"));
			while ((line = bufferedReader.readLine()) != null) {
				Matcher matcher = pattern.matcher(line);
				if (matcher.find()) {
					list.add(createBlzFromString(line));
				}
			}
			bufferedReader.close();
			
		} catch (IOException e) {
			System.out.println("Fehler beim Lesen der BLZ-Datei");
		}
		
		return list;
		
	}

	private Bankleitzahl createBlzFromString(String line) {
		
		return new Bankleitzahl( line.substring(0,8).trim(), 
				                 line.substring(107, 134).trim(),
				                 line.substring(9,67).trim(), 
				                 line.substring(67,72).trim(), 
				                 line.substring(72,107).trim());
		
	}

}
